> ## Documentation Index
> Fetch the complete documentation index at: https://docs.blon.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# 模型

> 找到模型，查看它的輸入與價格。

模型清單與價格會變動，本站不另外抄錄。請從 API 讀取，或到 `https://blon.ai/models/<model_id>` 查看各模型頁面。

## 列出模型

```bash theme={null}
curl https://api.blon.ai/v1/models \
  -H "Authorization: Bearer $BLON_API_KEY"
```

`data` 中每一項是模型摘要：

| 欄位 | 說明 |
| - | - |
| `id` | 提交時帶入 `model` 的 id |
| `name` | 顯示名稱 |
| `category` | 輸出與任務，例如 `image.edit`、`video.generate` |
| `availability` | `operational`，或模型暫停時為 `disabled` |
| `output` | `type`（`image`、`video` 或 `audio`）與 `content_type` |
| `pricing` | 現行價格，以你的幣別表示 |
| `price_until` | 限時價的到期時間；沒有到期為 `null` |
| `docs_url` | 模型的說明頁 |

清單只列出對呼叫者提供的模型。未提供的模型回 `404 model_not_found`，與不存在相同。

## 查看模型的輸入

```bash theme={null}
curl https://api.blon.ai/v1/models/nano-banana-2-lite \
  -H "Authorization: Bearer $BLON_API_KEY"
```

單一模型多了 `inputs`。每個輸入有 `id`（即工作 `input` 中的鍵）、`required`、`schema` 與選填的 `default`。

| `schema.type` | `input` 中的值 | 其他 schema 欄位 |
| - | - | - |
| `text` | 字串 | `enum`、`min_length`、`max_length` |
| `integer` | 整數 | `enum`、`min`、`max` |
| `number` | 數字 | `enum`、`min`、`max` |
| `boolean` | `true` 或 `false` | — |
| `media` | `{ "asset_id": "…" }` 或 `{ "url": "https://…" }` | `media_type` |
| `list` | `items` 型別的陣列 | `items`、`min_items`、`max_items` |
| `voice` | 音色選擇，見下方 | `preset_model_id`、`preset_ids`、`workspace` |

### 音色輸入

音色值可選模型的預設音色，或工作區中的音色：

```json theme={null}
{ "kind": "preset", "modelId": "<preset_model_id>", "presetId": "<preset_ids 其中之一>" }
```

```json theme={null}
{ "kind": "workspace", "voiceId": "<voice id>" }
```

| Schema 欄位 | 說明 |
| - | - |
| `preset_model_id` | 選預設音色時要帶的 `modelId`；模型沒有預設音色時不出現 |
| `preset_ids` | 可選的預設音色 |
| `workspace` | 是否接受工作區音色 |

音色值的鍵維持 `camelCase`。

## 價格

```json theme={null}
{
  "currency": "USD",
  "components": [
    { "meter": "output_images", "rate": "0.04" }
  ]
}
```

`pricing.components` 列出各自獨立的計量，例如 `output_images` 或 `output_seconds`，各有每單位的 `rate`。計量還可能帶有：

* `applies_when`：適用的輸入條件（`input`、`op`、`value`）。
* `tiers`：符合 `when` 條件時改用的費率；其餘情況使用 `rate`。

特定請求的實際金額請用[估價端點](https://docs.blon.ai/zh-TW/concepts/billing.md#estimate)計算。完成的工作會在 `usage` 列出實際用量，計量名稱相同。


This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.